#coding: utf-8

import codecs
import copy
import yaml

from log import logger


def get_base_config():
    return {
        'kairosdb': {
            'host': 'localhost',
            'port': 8080
        },
        'redis': {
            'host': 'localhost',
            'port': 6379
        },
        'queries': {
        },
        'app': {
            'debug': True,
            'port': 1942
        }
    }


def update_config(cfg, files):
    for fn in files:
        try:
            with codecs.open(fn, 'r', 'utf-8') as f:
                content = f.read()
                loaded_cfg = yaml.load(content)
                cfg.update(loaded_cfg)
        except IOError as ie:
            logger.error("Can't parse YAML file: {0}".format(ie))

    return cfg
